Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
agora::rtc::IVideoBeautyFilter::BeautyOptions Struct Reference

`#include <NGIAgoraMediaNode.h>`

## Public Types
enum | LIGHTENING_CONTRAST_LEVEL { LIGHTENING_CONTRAST_LOW = 0 , LIGHTENING_CONTRAST_NORMAL , LIGHTENING_CONTRAST_HIGH }

## Public Member Functions
| BeautyOptions (LIGHTENING_CONTRAST_LEVEL contrastLevel, float lightening, float smoothness, float redness)
| BeautyOptions ()

## Public Attributes
LIGHTENING_CONTRAST_LEVEL | lighteningContrastLevel
float | lighteningLevel
float | smoothnessLevel
float | rednessLevel

## Detailed Description

The video image enhancement options.

## Member Enumeration Documentation

## ◆ LIGHTENING_CONTRAST_LEVEL

enum agora::rtc::IVideoBeautyFilter::BeautyOptions::LIGHTENING_CONTRAST_LEVEL

The lightening contrast level.

Enumerator
LIGHTENING_CONTRAST_LOW | 0: Low contrast level.
LIGHTENING_CONTRAST_NORMAL | (Default) Normal contrast level.
LIGHTENING_CONTRAST_HIGH | High contrast level.

## Constructor & Destructor Documentation

## ◆ BeautyOptions() [1/2]

agora::rtc::IVideoBeautyFilter::BeautyOptions::BeautyOptions | ( | LIGHTENING_CONTRAST_LEVEL | contrastLevel,
|  | float | lightening,
|  | float | smoothness,
|  | float | redness )
| inline

## ◆ BeautyOptions() [2/2]

agora::rtc::IVideoBeautyFilter::BeautyOptions::BeautyOptions | ( |  | ) |
| inline

## Member Data Documentation

## ◆ lighteningContrastLevel

LIGHTENING_CONTRAST_LEVEL agora::rtc::IVideoBeautyFilter::BeautyOptions::lighteningContrastLevel

The contrast level, usually used with `lighteningLevel` to brighten the video: LIGHTENING_CONTRAST_LEVEL.

## ◆ lighteningLevel

float agora::rtc::IVideoBeautyFilter::BeautyOptions::lighteningLevel

The brightness level. The value ranges from 0.0 (original) to 1.0.

## ◆ smoothnessLevel

float agora::rtc::IVideoBeautyFilter::BeautyOptions::smoothnessLevel

The sharpness level. The value ranges from 0.0 (original) to 1.0. This parameter is usually used to remove blemishes.

## ◆ rednessLevel

float agora::rtc::IVideoBeautyFilter::BeautyOptions::rednessLevel

The redness level. The value ranges from 0.0 (original) to 1.0. This parameter adjusts the red saturation level.